package com.tmerclub.cloud.user.vo.mongo;

import io.swagger.v3.oas.annotations.media.Schema;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

/**
 * @author TRACK
 */
@Document("user_balance_log")
public class MongoBalanceUserManagerVO {

    @Schema(description = "用户id")
    private Long userId;

    @Schema(description = "最新充值时间")
    private Date reConsTime;

    @Schema(description = "充值金额")
    private Long rechargeAmount;

    @Schema(description = "充值次数")
    private Integer rechargeTimes;

    public MongoBalanceUserManagerVO() {
        this.rechargeAmount = 0L;
        this.rechargeTimes = 0;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Date getReConsTime() {
        return reConsTime;
    }

    public void setReConsTime(Date reConsTime) {
        this.reConsTime = reConsTime;
    }

    public Long getRechargeAmount() {
        return rechargeAmount;
    }

    public void setRechargeAmount(Long rechargeAmount) {
        this.rechargeAmount = rechargeAmount;
    }

    public Integer getRechargeTimes() {
        return rechargeTimes;
    }

    public void setRechargeTimes(Integer rechargeTimes) {
        this.rechargeTimes = rechargeTimes;
    }

    @Override
    public String toString() {
        return "MongoBalanceUserManagerVO{" +
                "userId=" + userId +
                ", reConsTime=" + reConsTime +
                ", rechargeAmount=" + rechargeAmount +
                ", rechargeTimes=" + rechargeTimes +
                '}';
    }
}
